apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: cashin-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/use-regex: "true"
spec:
  rules:
    - http:
        paths:
          - path: /(.*)
            pathType: Prefix
            backend:
              service:
                name: cashin-api
                port:
                  number: 3000